# Uses of Enum
org.apache.sling.testing.clients.osgi.Bundle.Status

Packages that use Bundle.Status
Package
Description
org.apache.sling.testing.clients.osgi
OSGI testing tools.

## Uses of Bundle.Status in org.apache.sling.testing.clients.osgi

Methods in org.apache.sling.testing.clients.osgi that return Bundle.Status
Modifier and Type
Method
Description
`Bundle.Status`
BundleInfo.`getStatus()`
`static Bundle.Status`
Bundle.Status.`value(String o)`
`static Bundle.Status`
Bundle.Status.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Bundle.Status[]`
Bundle.Status.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.sling.testing.clients.osgi with parameters of type Bundle.Status
Modifier and Type
Method
Description
`int`
BundlesInfo.`getNumBundlesByStatus(Bundle.Status status)`
Returns number of bundles that are in specified state